
renderingOptions:
  submitButtonLabel: Submit
type: Form
identifier: registration_graduate
label: 'registration_graduate '
prototypeName: standard
finishers:
  -
    options:
      -
        table: graduate_registration
        mode: insert
        elements:
          text-1:
            mapOnDatabaseColumn: fio
          number-1:
            mapOnDatabaseColumn: year_of_ending
          singleselect-1:
            mapOnDatabaseColumn: faculty
          singleselect-2:
            mapOnDatabaseColumn: specialty
          text-2:
            mapOnDatabaseColumn: country_of_residence
          text-3:
            mapOnDatabaseColumn: place_of_work
          text-4:
            mapOnDatabaseColumn: field_of_activity
          telephone-1:
            mapOnDatabaseColumn: phone_number
          email-1:
            mapOnDatabaseColumn: email
          textarea-1:
            mapOnDatabaseColumn: questions
    identifier: SaveToDatabase
  -
    options:
      pageUid: 1
    identifier: Redirect
renderables:
  -
    renderingOptions:
      previousButtonLabel: 'Previous step'
      nextButtonLabel: 'Next step'
    type: Page
    identifier: page-1
    label: ''
    renderables:
      -
        defaultValue: ''
        type: Text
        identifier: text-1
        label: 'Ф.И.О. выпускника'
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        properties:
          fluidAdditionalAttributes:
            step: 1
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        type: Number
        identifier: number-1
        label: 'Год окончания КГТУ'
        validators:
          -
            identifier: Number
          -
            identifier: NotEmpty
      -
        properties:
          options:
            'Технологический факультет': 'Технологический факультет'
            'Факультет информационных технологий': 'Факультет информационных технологий'
            'Факультет транспорта и машиностроения': 'Факультет транспорта и машиностроения'
            'Энергетический факультет': 'Энергетический факультет'
            'Инженерно-Экономический факультет': 'Инженерно-Экономический факультет'
            'Эколого-экономический факультет': 'Эколого-экономический факультет'
            'Горно-металлургический факультет': 'Горно-металлургический факультет'
            'Геолого-разведочный факультет': 'Геолого-разведочный факультет'
          prependOptionLabel: 'Выберите Факультет'
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, выберите факультет'
            -
              code: 1221560718
              message: 'Пожалуйста, выберите факультет'
            -
              code: 1347992400
              message: 'Пожалуйста, выберите факультет'
            -
              code: 1347992453
              message: 'Пожалуйста, выберите факультет'
        type: SingleSelect
        identifier: singleselect-1
        label: Факультет
        validators:
          -
            identifier: NotEmpty
      -
        type: SingleSelect
        identifier: singleselect-2
        label: 'Специальность (направление)'
      -
        defaultValue: ''
        type: Text
        identifier: text-2
        label: 'Страна проживания (в данное время)'
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Text
        identifier: text-3
        label: 'Место работы'
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Text
        identifier: text-4
        label: 'Сфера деятельности'
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Telephone
        identifier: telephone-1
        label: 'Номер телефона'
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        validators:
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Email
        identifier: email-1
        label: E-mail
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1221560718
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992400
              message: 'Пожалуйста, заполните это поле'
            -
              code: 1347992453
              message: 'Пожалуйста, заполните это поле'
        validators:
          -
            identifier: EmailAddress
          -
            identifier: NotEmpty
      -
        defaultValue: ''
        type: Textarea
        identifier: textarea-1
        label: 'Ваши вопросы/предложения/пожелания/замечание'
      -
        renderingOptions:
          submitButtonLabel: false
        type: Recaptcha
        identifier: recaptcha-1
        label: ''
        validators:
          -
            identifier: Recaptcha
